Subject: Regarrding TAX invoice/ [email-masked] / 2259814/ 9642202221
From: ARUNJAY RAJ <[email-masked]>
To: Shakeeb Arsalan <[email-masked]>, Seeta Seeta <[email-masked]>
Cc: Manish Kumar <[email-masked]>, Apoorv Joshi <[email-masked]>
Date: Wed, 17 Mar 2021 14:09:49 -0700 (MST)

Hi Team, 

Customer requested for the tax invoice of the order number 9642202221. 

Kindly do the needful, Thanks, for the help. 

Regards, 
Arunjay